.table_wrapper {
    margin: 20px 0;
}
.price.container {
    max-width: 1600px;
    margin: 0 auto;
}

div:has(table) {
    overflow-x: auto;

    /* scroll for chrome */
    &::-webkit-scrollbar {
        width: 8px;
        height: 8px;
    }

    &::-webkit-scrollbar-track {
        background-color: rgba(0, 0, 0, 0.1);
        border-radius: 4px;
    }

    &::-webkit-scrollbar-thumb {
        background-color: rgba(0, 0, 0, 0.3);
        cursor: auto;
        border-radius: 4px;
    }
}

/* scroll for mozilla */
@-moz-document url-prefix() {

    div:has(table) {
        scrollbar-width: thin
    }
}

table {
    border-spacing: 0 2px;
    font-size: 15px;
    width: 100%;
    hyphens: auto;
    word-wrap: break-word;
    min-width: 800px;
    background-color: #ffffff;

    caption {
        padding: 14px 14px 10px;
        text-align: left;
        font-weight: bold;
        background-color: #e9e9e9;
        width: max-content;
        border-radius: 12px 12px 0 0;

        &::before {
            content: "\2BAF";
            display: inline-flex;
            justify-content: center;
            margin-right: 16px;
            color: #4e4e4e;
            font-size: 22px;
            line-height: 0.8;
        }
    }

    tr {
        margin-bottom: 4px;
        min-height: 64px;

        th {
            text-align: left;
            vertical-align: top;
            padding: 14px;
            border-top: 2px solid #DEDEDE;
            border-bottom: 2px solid #DEDEDE;
        }

        td {
            text-align: left;
            vertical-align: top;
            padding: 14px;
            border-top: 2px solid #DEDEDE;
            border-bottom: 2px solid #DEDEDE;
        }

        &:nth-child(even) {
            background-color: #F2F2F2;
        }

        &:not(:first-child) {

            td {
                border-top: none;
            }
        }

        &:first-child {

            th {
                border-top: 2px solid #797979 !important;
            }
        }

        &:last-child {

            td {
                border-bottom: 2px solid #797979;
            }
        }

    }
}

.tech_used {
    font-family: monospace;
    font-size: 16px;
}